sc::UnionShape(3)

NAME
sc::UnionShape -

A UnionShape is volume enclosed by a set of Shape's.

SYNOPSIS

#include <shape.h>

Inherits sc::Shape.

Inherited by sc::DiscreteConnollyShape, and sc::VDWShape.

  Public Member Functions
void add_shape (Ref< Shape >)
double distance_to_surface (const SCVector3 &r, SCVector3 *grad=0) const
int is_outside (const SCVector3 &r) const
void boundingbox (double valuemin, double valuemax, SCVector3 &p1, SCVector3 &p2)
int gradient_implemented () const

  Protected Attributes
std::set< Ref< Shape > > _shapes

Detailed Description

A UnionShape is volume enclosed by a set of Shape's.

Author

Generated automatically by Doxygen for MPQC from the source code.